## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaAutoIncrementIndexValidator

### DatabaseSchema::ezcDbSchemaAutoIncrementIndexValidator

### Class ezcDbSchemaAutoIncrementIndexValidator

ezcDbSchemaAutoIncrementIndexValidator validates field definition types.

Source for this file: /DatabaseSchema/src/validators/auto_increment_index.php

Version: | //autogentag//
Todo: | implement from an interface

### Method Summary

public static array(string) | `validate( $schema )` Validates if all the types used in the $schema are supported.

### Methods

#### validate

static array(string) validate( ezcDbSchema $schema )

Validates if all the types used in the $schema are supported.

This method loops over all the fields in a table and checks whether the type that is used for each field is supported. It will return an array containing error strings for each non-supported type that it finds.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$schema` | ezcDbSchema |

Documentation generated by phpDocumentor 1.4.3